package com.palmnest.dao.estateserve;

import com.palmnest.application.bean.Page;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.enterprise.VirPermConfig;
import com.palmnest.model.property.VirtualArchitecture;

import java.util.List;
import java.util.Map;

/**
 * Created by HIAPAD on 2019/2/25.
 */
public interface EnterprisePermissionDao extends GenericDao<VirPermConfig, Long> {

	void saveOtherObj(Object object);

	void delVirPermServiceRelation(Long id);

	void delVirPermService(Long id);

	Page queryVirPermListPage(int pageNo, int pageSize, String s);

	String getVirPermServiceRelationStr(long id);

	List<Map<String, Object>> getVirPermService(long id);

	List<Map<String, Object>> getVirPermServiceChild(long id);

	List<Integer> getVirPermServiceIds(Long virPermId);
	List<Map<String, Object>>  getProcessName(Long orgId, String types);

	List<Integer> getVirPermServiceChildIds(Long virPermId);

	List<VirPermConfig> getOrgRelationVirPermList(Integer orgId);

	List<Map<String, Object>> getVirPermServiceRelation(Long id);

	/**
	 * 查询该企业权限下的企业列表
	 *
	 * @param id
	 * @return
	 */
	List<VirtualArchitecture> getVirListByPermId(Long id);

	void clearVirPermRelation(long permId);

//    List<VirPermConfig> getVirRelationVirPermList(Integer orgId, Integer virId);
//
//    List<Map<String,Object>> getOrgOpenedPermList(Integer organizationId);

	List<String> getNoPermServiceCodeList(Integer organizationId, Long virPermId);

	void delGoodsConfig(Long id,String types);

	List<Map<String, Object>> getGoodsConfig(Long orgId, String types,String processName);

	List<Map<String, Object>> getPermByCheckRole(Long orgId);

	Integer check(Integer virtualArchId);

	List<Map<String, Object>> getGoodsConfigByTypes(Long orgId, String types);
}
